Debian Bug report logs - #277832
xterm: make xterm treat the primary selection exactly as gnome-terminal does

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Fri, 22 Oct 2004 18:03:03 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Found in version 4.3.0.dfsg.1-8

Fixed in version 230-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: copy-paste of non-ISO-8859-1 characters between uxterm's is broken
Date: Fri, 22 Oct 2004 20:02:20 +0200
Package: xterm
Version: 4.3.0.dfsg.1-8
Severity: normal

I open two uxterm's. In the first one, I type from zsh:

  echo \\u20ac

to get a Euro symbol. I double-click on this Euro symbol and paste it
(with the middle button) to the second uxterm. No problem: I get the
Euro symbol.

Now, I click in the first uxterm; the Euro symbol no longer appears
as selected (this is normal). I click with the middle button in the
second uxterm. But instead of getting the Euro symbol, I get a hash
(#).

I don't have this problem with ISO-8859-1 characters (éèê).

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (900, 'testing'), (200, 'unstable')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.8
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-16   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.6-8       XML parsing C library - runtime li
ii  libfontconfig1            2.2.3-1        generic font configuration library
ii  libfreetype6              2.1.7-2.2      FreeType 2 font engine, shared lib
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  libncurses5               5.4-4          Shared libraries for terminal hand
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libxaw7                   4.3.0.dfsg.1-8 X Athena widget set library
ii  libxext6                  4.3.0.dfsg.1-8 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxmu6                   4.3.0.dfsg.1-8 X Window System miscellaneous util
ii  libxpm4                   4.3.0.dfsg.1-8 X pixmap library
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  libxt6                    4.3.0.dfsg.1-8 X Toolkit Intrinsics
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  xlibs-data                4.3.0.dfsg.1-8 X Window System client data

-- no debconf information



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #8 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: copy-paste of non-ISO-8859-1 characters between uxterm's is broken
Date: Fri, 22 Oct 2004 17:53:18 -0400
[Message part 1 (text/plain, inline)]
On Fri, Oct 22, 2004 at 08:10:11PM +0200, Vincent Lefevre wrote:
> Package: xterm
> Version: 4.3.0.dfsg.1-8
> Severity: normal
> 
> I open two uxterm's. In the first one, I type from zsh:
> 
>   echo \\u20ac
> 
> to get a Euro symbol. I double-click on this Euro symbol and paste it
> (with the middle button) to the second uxterm. No problem: I get the
> Euro symbol.
> 
> Now, I click in the first uxterm; the Euro symbol no longer appears
> as selected (this is normal). I click with the middle button in the
> second uxterm. But instead of getting the Euro symbol, I get a hash
> (#).

I noticed this earlier this week, and don't recall seeing it before
except when the xterm owning the selection had lost focus (no need
to beat that dead horse).

The particular case I noticed involved a single instance of uxterm -
in one scenario the paste works properly, but in the other I get a '#'
on the second try at pasting.

I was testing some locale improvements for vile, with the screen split
into two parts.  One shows the printable characters, and the other is
a buffer into which I was inserting.  Using select/paste from the
character list shows the bug (I got one instance of the expected character
and then a '#').  Selecting from the edit-buffer shows no problem.

I don't know the cause, but have it on my to-do list to investigate.
But it does appear to be something that I can fix.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #15 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: re: #277832 - xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows malfunctions
Date: Sun, 21 Nov 2004 20:37:51 -0500
[Message part 1 (text/plain, inline)]
I've studied the relevant code and can see how I might improve this.  The
current code disowns the (primary) selection whenever the cursor moves before
the highlighted selection, just in case it might be followed by operations that
might alter the text under the selection.  That's a simple rule of thumb, but
overkill, since it doesn't mean that the selection actually changes.  For
example in the case I observed, the screen is updated in a region that did not
overlap the selection.

If the primary selection is no longer available (because it was disowned),
xterm falls back to cut buffers.  But those are always ISO-8859-1, so some
information is lost (and replaced by '#' characters).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #18 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: re: #277832 - xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Tue, 30 Nov 2004 20:51:08 -0500
[Message part 1 (text/plain, inline)]
xterm patch #197 addresses this by retaining the primary selection until the
screen contents in the selected lines are changed.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 277832-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 277832-close@bugs.debian.org
Subject: Bug#277832: fixed in xfree86 4.3.0.dfsg.1-9
Date: Thu, 09 Dec 2004 16:03:04 -0500
Source: xfree86
Source-Version: 4.3.0.dfsg.1-9

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-9_i386.deb
libdps-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-9_i386.deb
libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
libdps1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-9_i386.deb
libice-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-9_i386.deb
libice6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-9_i386.deb
libice6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-9_i386.deb
libsm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-9_i386.deb
libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
libsm6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-9_i386.deb
libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
libx11-6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-9_i386.deb
libx11-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-9_i386.deb
libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
libxaw7_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-9_i386.deb
libxext-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-9_i386.deb
libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
libxext6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-9_i386.deb
libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
libxft1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-9_i386.deb
libxi-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-9_i386.deb
libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
libxi6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-9_i386.deb
libxmu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-9_i386.deb
libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
libxmu6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-9_i386.deb
libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
libxmuu1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-9_i386.deb
libxp-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-9_i386.deb
libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
libxp6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-9_i386.deb
libxpm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-9_i386.deb
libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
libxpm4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-9_i386.deb
libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
libxrandr2_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-9_i386.deb
libxt-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-9_i386.deb
libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
libxt6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-9_i386.deb
libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtrap6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-9_i386.deb
libxtst-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-9_i386.deb
libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtst6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-9_i386.deb
libxv-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-9_i386.deb
libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
libxv1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-9_i386.deb
pm-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-9_all.deb
proxymngr_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-9_i386.deb
twm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-9_i386.deb
x-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-9_all.deb
x-window-system-core_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-9_i386.deb
x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
x-window-system_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-9_all.deb
xbase-clients_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-9_i386.deb
xdm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-9_i386.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-base_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-9_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
xfonts-scalable_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-9_all.deb
xfree86-common_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-9_all.deb
xfree86_4.3.0.dfsg.1-9.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.diff.gz
xfree86_4.3.0.dfsg.1-9.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.dsc
xfs_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-9_i386.deb
xfwp_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
xlibmesa3_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-9_i386.deb
xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
xlibs-data_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-9_all.deb
xlibs-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-9_all.deb
xlibs-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-9_all.deb
xlibs-pic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-9_all.deb
xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
xlibs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-9_all.deb
xmh_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-9_i386.deb
xnest_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-9_i386.deb
xprt_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0.dfsg.1-9_i386.deb
xserver-common_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
xspecs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-9_all.deb
xterm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-9_i386.deb
xutils_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-9_i386.deb
xvfb_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 277832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 09 Dec 2004 17:14:45 +0100
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-9
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries dummy package
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries dummy package
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries dummy package
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Keyboard Extension (XKB) configuration data and metapackage
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries dummy package
 xlibs-dev  - X Window System client library development files dummy package
 xlibs-pic  - XFree86 static PIC libraries dummy package
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 80140 172526 231837 235574 236086 241534 241566 245371 246398 250331 252068 258575 263076 263561 265133 267321 268461 268812 268997 270235 270496 271030 271326 273202 274018 274101 274457 274513 275329 275473 275710 276415 276447 277038 277699 277832 278654 278714 278897 279436 280384
Changes: 
 xfree86 (4.3.0.dfsg.1-9) unstable; urgency=high
 .
   * Security update release.  Resolves CAN-2004-0914 (several Xpm library
     vulnerabilities).
 .
   Changes by Branden Robinson:
 .
   * Update Danish debconf template translations (thanks, Claus Hindsgaul).
     (Closes: #274101)
 .
   * Add FAQ entry: Why does composing characters work in some applications but
     not others?
 .
   * Apply patch from Jan Wilhelm Stumpel to correct miscoded Unicode Plane 1
     characters in en_US.UTF-8 compose map.  (Closes: #267321)
 .
   * Install xlibs's bug script in the binary-indep rule, not binary-arch,
     since xlibs is an architecture "all" package.  Now the script will
     actually be shipped.
 .
   * If the restorecon command is available, restore SELinux file security
     contexts after setting up X server and ICE socket directories
     (xfree86-common) and font server socket directories (xfs) after creating
     them in the init scripts.  (Closes: #268812, #271030)
 .
   * Fix missing-word typo in xnest's package description.  Thanks to Roland
     Stigge for catching this.  (Closes: #268997)
 .
   * Remove build-dependency on libstdc++5-dev | libstdc++-dev.  A package
     providing libstdc++-dev is build-essential.  Thanks to Steve Langasek for
     his counsel on this issue.  (Closes: #268461)
 .
   * Make xserver-common conflict with xserver-xfree86 and xserver-xfree86-dbg
     4.3.0.dfsg.1-[56] using exact versioned conflicts.  This prevents versions
     of the xserver-xfree86{,-dbg} packages that depend on a now-vanished
     interface in dexconf from being installed in conjunction with it.  See the
     changelog entry for 4.3.0.dfsg.1-7 for more information.  Thanks to Adrian
     Bunk for this suggestion.
 .
   * Grab from XFree86 CVS (no later than 2003-12-31) several updates to the
     Video4Linux (v4l) driver:
     + [#include regionstr.h, not miscstruct.h.] (#A.1859, Alexander Stohr)
       [David Dawes]
     + [Update format string when reporting memPhysBase.] (David Dawes)
     + Fix a problem with the v4l driver not seeing all the tv-norms available
       under the bttv driver with the Linux 2.6.0-test11 kernel (#5976, Marco
       Antonio Alvarez).  [David Dawes]
     + Change v4l "norm" names to the bttv versions (#5993, Marco Antonio
       Alvarez).  [David Dawes]
     (Closes: #270496)
 .
   * Update "Further Information" section of FAQ.
 .
   * Add FAQ entry: What are Debian's plans with respect to X.Org and
     XFree86?
 .
   * Add FAQ entry: Sometimes I get garbage characters like 1;2c in my xterm
     windows; what's happening?
 .
   * Update FAQ entry: My keyboard configuration worked with XFree86 4.2; why
     is it messed up now?
 .
   * Update FAQ entry: How does the keyboard work in the X Window System?
 .
   * Apply patch (#036) submitted to XFree86 Bugzilla on 2003-04-03 by the DRI
     Developers to fix OpenGL application crashes with "Assertion `vb.context
     == ctx' failed." for ATI R200 DRI users (thanks, Martin Dickopp).
     (Closes: #241534)
 .
   * Add copyright and (MIT/X11 style) license for Bitstream Type1 fonts to
     copyright file.  Thanks to Ben Harris for pointing this out.
     (Closes: #274018)
 .
   * Clean up and expand xclock(1x) manpage to document the effects the RENDER
     extension has on command-line option and X resource handling.  Thanks to
     Vincent McIntyre for prompting this.  (Closes: #241566)
 .
   * Use run() to unregister obsolete debconf templates in xserver-xfree86,
     since failure to do so is not fatal, and will occur if we are upgrading
     from a version of the package so old (pre-woody unstable) that the
     templates don't exist to be unregistered.  Thanks to Florian Laws for
     diagnosing this bug.  (Closes: #275710)
 .
   * Stop manually compressing the plain text version of the Debian X FAQ;
     dh_compress will take care of that.  Tell dh_compress to avoid compressing
     the XHTML version of the FAQ.
 .
   * Restore xdm's Xreset script, which was removed in 4.2.1-12.  If the
     use-sessreg option is set and the sessreg command is available, user X
     sessions will be de-registered from the utmp and wtmp files again.
     Update maintainer scripts to stop removing the conffile.  Update
     xdm.install and MANIFEST.* files to ship Xreset script.  The old
     xconsole-related logic is not restored.  (Closes: #275329)
 .
   * Replace XFree86 X server pre-release banner message with long boilerplate
     that declaims the release as heavily modified by Debian, and directs users
     to the Debian Bug Tracking System and the Debian X FAQ instead of XFree86
     mailing lists; also replace an occurence of an XFree86 mailing list
     address in a tseng driver message (patch #914).
 .
   * Update xlibs's package description to stop implying that *no* packages
     have up-to-date dependencies on it (xbase-clients does, due to xkbcomp,
     which is statically linked against libxkbfile).
 .
   * Apply patch from Jeff Licquia to port the X configlet to python-configlet
     version 2 so that xserver-xfree86 package configuration
     doesn't crash for people who have the configlet infrastructure installed.
     Make xserver-common conflict with python-configlet (<< 2.0) accordingly.
     (Closes: #263076)
 .
   * Apply patch from Jason Lunz for silly thinko that caused arguments to
     xvfb-run to be misparsed if they contained whitespace.  Thanks, Jason!
     (Closes: #276415)
 .
   * Tidy up and make consistent all Debian-specific manpages.
 .
   * Update package descriptions to replace the term "pseudopackage" (which
     apparently only the xfree86 source package uses) with "dummy package" in
     the short description, and "transitional package" in the extended
     description, per section 6.7.7 of the Debian Developers' Reference.
 .
   * Update patch #009 to improve the fix for the Rage128-specific problem with
     engine lockups; because CCE idle commands may never finish, eventually
     stop the engine altogether after a long enough period of inactivity.
     Thanks to Daniel Jacobowitz for the original patch, this improved version,
     and the real-world testing.  (Closes: #278654)
 .
   * Add FAQ entry: What is the story with XFree86 3.x?
 .
   * Apply some fixes to the XFree86 X server's ELF object loader:
     + Stop conditionally #including <sys/mman.h> since it is unconditionally
       imported earlier in the file.
     + Perform an mprotect() for AMD64 Linux systems as well as OpenBSD to
       prevent SEGVs on NX-enabled kernels.  (Closes: #277699)
     + Fix a problem with parentheses when using the preprocessor (doesn't
       affect Debian, but would cause unexpected behavior on OpenBSD).
 .
   * Perform some cleanup work on the shared library maintainer scripts of
     libdps1, libxaw6, libxaw7, xlibmesa-gl, xlibmesa-glu, and xlibosmesa4;
     thanks to Fabio for noticing the inconsistencies.
     + Call register_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-installation scripts.
     + Perform configuration actions regardless of the value of "$1" in the
       post-installation scripts.
     + Call deregister_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-removal scripts.
     + Move the #DEBHELPER# expando later in the scripts where applicable.
 .
   * Perform some cleanup work on the update-fonts-{alias,dir,scale} utilities
     and their manual pages.
     + Eliminate XSIisms (-a, -o) in uses of test(1)/[(1).
     + Re-indent at four spaces.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Rename error() to die().
     + Add usage() function and -h, --help option.
     + Use exit status 2 to indicate usage errors as opposed to operational
       failures.
     + Be more careful with quoting shell variables.
     + Add and expand comments.
     + Add SVN Id keyword.
     + Update Vim modeline.
     + Update manual pages to document changes in interface and behavior (there
       are no backwards-incomaptible changes).
 .
   * Perform some cleanup work on the xvfb-run utility and its manual page.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Add message() and error() functions.
     + Enhance usage() function to (additionally) display an error message
       consisting of the function arguments, if any.
     + Use error() and usage() instead of echo for error messages.
     + Cosmetically tidy up usage message, and correct a typo.
     + Declare locally-scoped variable in find_free_servernum().
     + Store getopt's exit status and report it in an error message if it is
       nonzero.
     + Clarify the error message if getopt rearranges the command line in a way
       we don't expect.
     + Tidy up comment, shell function, and redirection style.  Wrap long
       lines.  Quote variables that may have whitespace in them.  Update Vim
       modeline.
     + Describe effect of $COLUMNS environment variable in manpage.
     + Remove erroneous description of exit status 1, and explain why it is not
       used.
     + Add description of exit statuses 0, 4, 5, and 6.
     + Fix markup error.
 .
   * Replace many occurences of XSI connectives in test(1) with POSIX shell
     connectives in scripts.
 .
   * Apply patch from David Mosberger that replaces the fix for #225526 with
     one that works on systems that do not have a PCI bus numbered 0.  Thanks,
     David!  (Closes: #279436)
 .
   * Apply patch from Richard Mortimer to fix the XFree86 X server's ELF object
     loader to set the PROT_EXEC flag on mmap()ed modules regardless of machine
     architecture.  (It was already trying to do this, but there are three
     preprocessor statements involved, and we were only patching one.)
     (Closes: #280384)
 .
   * Update XTerm to patch #197 (2004-09-30) from Thomas Dickey's website.
     + Change default translations so a BtnDown which is not recognized is
       simply ignored rather than emitting a bell.  That makes it less
       obtrusive when the user tries to use a mouse which provides more
       capabilities than the X mouse driver supports, e.g., one with a
       horizontal scroll wheel.  (Closes: #265133)
     + Note in xterm's manpage that "translations" is not specific to xterm.
       (Closes: #278897)
     + Modify uxterm script to use locale program to verify if the derived
       locale is installed.  (Closes: #246398)
     + Modify the criteria for disowning primary selection.  Previously, this
       happened anytime the cursor was moved before the end of the selection.
       That would ensure that any insert/delete of char or line, as well as
       scrolling, would disown the selection.  The new criteria change this to
       checking if the operations would modify the data which is highlighted.
       (Closes: #277832)
     + Correct handling selection of tabs over cleared space in UTF-8 mode.  In
       this special case, xterm represents the whitespace with a null rather
       than a space character.  (Closes: #276447)
     + Amend fix for infinite loop from patch #192 to check if there is wrapped
       text to output in a following iteration.  (Closes: #273202)
     + Amend solution for Debian #252873, #260471 from patch #194 by making the
       cursor not explicitly colored if only the foreground color is set, and
       the cursor is on a blank space.  (Closes: #275473)
 .
   * Add magic register poke to neomagic driver which apparently speeds up DVD
     playback operations.  Thanks to Tony Hill for finding this patch.
     Unfortunately, despite efforts to locate some, there appears to be no
     documentation of why this register poke works.  (Closes: #277038)
 .
   Changes by Denis Barbier and Fabio M. Di Nitto:
 .
   * Edit xc/programs/xkbcomp/symbols/pc/Imakefile so that the new pc/us_intl
     layout file gets installed.  Update MANIFEST files and xlibs.install to
     ensure the file get shipped.
     + Ship a multi-layout aware us_intl layout.  (Closes: #271326)
     + Make us_intl work again.  (Closes: #274513)
 .
   * Update Dutch debconf template translations (thanks, Bart Cornelis).
     (Closes: #278714)
 .
   Changes by Denis Barbier:
 .
   * Make Sun keyboards load srvr_ctrl(xfree86) symbol definitions to have
     access to standard Ctrl+Alt key sequences.  (Closes: #236086)
 .
   * Add several multi-layout aware layouts:
     + ca (Canada) contains several variants: "fr" is meant as a replacement
       for ca_enhanced, "fr-legacy" is another variant, and "multi" is an
       implementation of CAN/CSA-Z243.200-92.  This standard requires two
       groups, so it is in fact divided into "multi" and "multi-2gr" variants.
       By default, "ca" loads both "multi" and "multi-2gr" to provide a
       full-featured keyboard.  When it is combined with other layouts, the
       simpler variant "fr" is used, but others can be explicitly specified.
       (Closes: #245371, #252068, #258575)
     + The new ca layout also fixes ISO_Level3_Shift, which was mapped to
       <RCTL> instead of <RALT>.  (Closes: #274457)
     + jp (Japan) also requires a combination of two variants.  When this is
       the only loaded layout, the full combination is used.  When this layout
       is combined with others, only the "jp106" variant is loaded.
     + hu (Hungary) layout has been simplified; some variants have been removed.
       (Closes: #263561)
     + ch (Switzerland) replaces de_CH and fr_CH.
     + mn (Mongolia) and vn (Vietnam) are simple layouts.
 .
   * In UTF-8 compose files, replace U00xx Unicode codepoints by the
     corresponding keysyms.  Otherwise the compose character is in
     the range 0x01000000-0x010000FF which is not valid according to
     appendix A of the X11 protocol.  Even if most applications are able
     to recognize these broken characters, few of them fail, most notably
     xemacs and users are then unable to use composition when in UTF-8
     locales.  (Closes: #235574)
 .
   * Replace level3(ralt_switch_multikey) by level3(ralt_switch) in all
     layouts so that symbols on the 4th column may be accessed with
     Shift+Alt_R or Alt_R+Shift.  (Closes: #270235)
 .
   + In /etc/X11/xkb/rules/xfree86, move lv3 definitions after altwin so
     that the former can override the latter.  See Bug#276143.
 .
   Changes by Fabio M. Di Nitto:
 .
   * Update wacom input driver from http://linuxwacom.sourceforge.net/ up to
     version 0.6.4:
     + Remove now obsolete patch 036_wacom_usb_tablet_update.diff
     + Add patch 000_stolen_from_sourceforge_wacom_driver.diff
     + Fix input timeout problems if the device is not connected.
       No references are available in upstream changelog, but tests do not
       show this behavior anymore. (Closes: #231837)
     + Fix compatibility with kernel 2.6 wacom driver. (Closes: #250331)
     + Add support for Cintiq boards. According to #172526 logs the patch
       has been included, reworked and cleaned by upstream a long time ago.
       No references are available in upstream changelog. (Closes: #172526)
     + A combination of new kernel, xfree86 and wacom driver appears to have
       fixed the APM resume issue as described in #80140. Tests done
       on a powerpc laptop do not show this problem anymore.
       No references are available in upstream changelog. (Closes: #80140)
 .
   * Add workaround for the UseBIOS default setting in the savage driver:
     + Add patch 099i_pro_savage_ddr_set_use_bios_to_false.diff
     + Set UseBios default to "no" for PROSAVAGE_DDR and PROSAVAGE_DDRK, as
       described at <URL: http://www.probo.com/timr/savage40.html >.
 .
   * Fix nl_BE locale alias information.
 .
   * Use validate-posix-sh at build time to perform syntax check on generated
     maintainer scripts.
 .
   * Increase verbosity of validate-posix-sh warnings.  Stop immediately
     exiting upon encountering the first shell interpeter that fails on the
     script; instead, attempt all the interpreters and report all that fail.
 .
   * Sync debian/rules install-server target with install and make
     binary-server work again.
 .
   Changes by Fabio M. Di Nitto and Branden Robinson:
 .
   * Update patch #087 to include fruits of Xpm source code security audit by
     Thomas Beige.  Resolves CAN-2004-0914: memory leak, improper use of signed
     integers, and overflows in the Xpm library.  Resync offset in patch #200.
Files: 
 604583b52dca2ffe3d5f28af1b60684d 2634 x11 optional xfree86_4.3.0.dfsg.1-9.dsc
 165833695fff22cf62d4a56b5bd44549 3507053 x11 optional xfree86_4.3.0.dfsg.1-9.diff.gz
 785685d69848622b281cfeb085bac954 150862 libdevel optional pm-dev_4.3.0.dfsg.1-9_all.deb
 4c5d41d1a9f11b5678ed0816d571f147 207838 libdevel optional x-dev_4.3.0.dfsg.1-9_all.deb
 30aa507ee9b09e08908c74e1d76387d7 4354390 x11 optional xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
 cb034206cb153d5c37f66c0f0570e1c7 8188300 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 1ec84722b9bc441907753ffac2964b61 3832220 x11 optional xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
 74a4e47d9ec37b6d2c13124b54e7fc11 7065056 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 2d64e09c7bda367dfb64a627bedf1a98 5481972 x11 optional xfonts-base_4.3.0.dfsg.1-9_all.deb
 9f2b107795784f9b5d6b1b5ecb50f8f3 1194910 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
 6940a2e9be35442f1ed4c67b0a1edcc8 532434 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
 8608acefa0e3419f49a8ed77bd61c73e 892232 x11 optional xfonts-scalable_4.3.0.dfsg.1-9_all.deb
 ab713c194df9de454ae341efeac794e8 790618 x11 optional xfree86-common_4.3.0.dfsg.1-9_all.deb
 f600a3496f5fe23dd6079c33b7cbb55a 418094 libs optional xlibs_4.3.0.dfsg.1-9_all.deb
 8ca0255c91b039fadfc3c87b6cc25dea 897400 libs optional xlibs-data_4.3.0.dfsg.1-9_all.deb
 81e2dc94ee200dbceb0b02f157395ec4 5825862 x11 optional xspecs_4.3.0.dfsg.1-9_all.deb
 fa301c7313eeaf4f605d683d1eb3bf07 150162 x11 optional x-window-system_4.3.0.dfsg.1-9_all.deb
 bcf9befb8b1ab0133f826d1e286b3320 150018 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
 910b76e617cb04ca0ad2d3fa2398be59 150002 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
 1df8082e7d6fa8854fec9cdfc0dfbdf0 150072 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-9_all.deb
 e12582d5c6ab48a31f94e77e82fdcbec 150072 oldlibs extra xlibs-dev_4.3.0.dfsg.1-9_all.deb
 c3c11c159745ab005afbb5fd9e5d9a6f 149980 oldlibs extra xlibs-pic_4.3.0.dfsg.1-9_all.deb
 30e069d389fea927d16b08d072faf778 241786 x11 optional lbxproxy_4.3.0.dfsg.1-9_i386.deb
 a5b706fb9790c636e99c4e94d024aab8 277496 libs optional libdps1_4.3.0.dfsg.1-9_i386.deb
 d60c040a0c1edb01c9057c3df9ae4c09 774396 libdevel extra libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
 46657e42bc4de5c0a6fe0b8d8e35ca5d 333726 libdevel optional libdps-dev_4.3.0.dfsg.1-9_i386.deb
 065631e2925976a2bc1b3aae0a16446b 194890 libs optional libice6_4.3.0.dfsg.1-9_i386.deb
 b2a4f9cb058ec32afca10a7190b344cf 277862 libdevel extra libice6-dbg_4.3.0.dfsg.1-9_i386.deb
 47d917f75d912bf0ea08d8f60870ca16 196832 libdevel optional libice-dev_4.3.0.dfsg.1-9_i386.deb
 8ec454cdb4d914e0be0753e356aecc94 172608 libs optional libsm6_4.3.0.dfsg.1-9_i386.deb
 54c9462845b460cba3b2d15ffc7d2a47 196870 libdevel extra libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
 09bb9a689bc780c924f8bb4b81f86e54 168194 libdevel optional libsm-dev_4.3.0.dfsg.1-9_i386.deb
 ffe09308b9fee526a378359d33eb11cc 715072 libs optional libx11-6_4.3.0.dfsg.1-9_i386.deb
 f42cc97c1fbbe687fba8e2e50ad15b97 9598498 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
 9fe1f80bfda73da5a74dc1afc4e1146b 1349984 libdevel optional libx11-dev_4.3.0.dfsg.1-9_i386.deb
 46163b92e7293a1802d8f03787dada97 276722 libs optional libxaw6_4.3.0.dfsg.1-9_i386.deb
 048b72e343d006cea6e7d308aa1d9fca 882182 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
 792b12c9548299f49c0b1598c9fda814 405608 libdevel extra libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
 311e24f6f98083daa861d670c4772f2b 329830 libs optional libxaw7_4.3.0.dfsg.1-9_i386.deb
 8d0be03a4cdb803aff9d11c235acb467 1016794 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
 1d86eaa88fb55ba3d6f40d80cd8510dd 405508 libdevel optional libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
 9ff630f9cb97fa0abe3e08647fd19f59 179746 libs optional libxext6_4.3.0.dfsg.1-9_i386.deb
 6cbd35c270fe1c99eb1383d12d20df6b 499252 libdevel extra libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
 1ac46fe9ce964ae0371250c9d68ec23d 238282 libdevel optional libxext-dev_4.3.0.dfsg.1-9_i386.deb
 83c8efcf1f385c30798e48096ecac699 182044 libs optional libxft1_4.3.0.dfsg.1-9_i386.deb
 740f7227aa84c0109be742e5f8ad4b26 461192 libdevel extra libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
 4d726f81aa89c443b3f3d25921b58084 170964 libs optional libxi6_4.3.0.dfsg.1-9_i386.deb
 0f0df17cf0a8061cb634392294454cd8 1158228 libdevel extra libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
 3c267f97744b673be7796c04e64ee219 222634 libdevel optional libxi-dev_4.3.0.dfsg.1-9_i386.deb
 18e9597bee9901a1a76a3bff7f7046af 201132 libs optional libxmu6_4.3.0.dfsg.1-9_i386.deb
 c913cd10602588373dbc174bdaafc877 651460 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
 82f614c95c9d06c68846953596dbff4a 209710 libdevel optional libxmu-dev_4.3.0.dfsg.1-9_i386.deb
 38b8b6d0d3c4244453efa7d4cec72538 162984 libs optional libxmuu1_4.3.0.dfsg.1-9_i386.deb
 cdb5e3eb1541e607a38ddd5bf650aec3 200006 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
 e23bb044834ece00b208680fc80e1c27 154500 libdevel optional libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
 dc6fc85aa005f50015871e1f17521b17 170110 libs optional libxp6_4.3.0.dfsg.1-9_i386.deb
 3957e8f4b6c73270cebefa1e7a56ab20 556626 libdevel extra libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
 5648bd8ad6a51a1d64286feca06c89a8 170512 libdevel optional libxp-dev_4.3.0.dfsg.1-9_i386.deb
 408cd7ff5b3f5dd41e4f2e5c33204123 186736 libs optional libxpm4_4.3.0.dfsg.1-9_i386.deb
 90f9d58df23cdfefe1bd4cea32f98225 238304 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
 5d2fb156641a3b1137f3e9f71e96b1eb 184952 libdevel optional libxpm-dev_4.3.0.dfsg.1-9_i386.deb
 651d863e54b54850aeeb3297330ccfd2 162728 libs optional libxrandr2_4.3.0.dfsg.1-9_i386.deb
 2472aa539ef3457eecc9e55043ee2b03 191942 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
 738ac38ac0ac3b3eb7b905746560e631 162808 libdevel optional libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
 d644d0fce129e6ed78b115f53aaf453f 319334 libs optional libxt6_4.3.0.dfsg.1-9_i386.deb
 36a036034c4300732a50efdf77c0ca41 1522616 libdevel extra libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
 f26781827bee4250b2b38e547a589796 605848 libdevel optional libxt-dev_4.3.0.dfsg.1-9_i386.deb
 54f14a2777f4eaae205a1c8bec980e27 171920 libs optional libxtrap6_4.3.0.dfsg.1-9_i386.deb
 837fe055e482c8681251db0d9c103371 401916 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
 97a58878c495e12b4fb6de0ba38cdc6b 176310 libdevel optional libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
 651571f66e8a9a76113985bbb92292ae 165632 libs optional libxtst6_4.3.0.dfsg.1-9_i386.deb
 90693f43d20362cdbf250515e77f4f06 228000 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
 3196ebc661dc9e0a0d0f7f93f1ec434b 162052 libdevel optional libxtst-dev_4.3.0.dfsg.1-9_i386.deb
 a94df15bb1d1b4b0316331f44b0f6038 163822 libs optional libxv1_4.3.0.dfsg.1-9_i386.deb
 564205c6d07981329605007cc8523a66 194654 libdevel extra libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
 37bad7f94a523fe4d055bdc5dcce74d8 182192 libdevel optional libxv-dev_4.3.0.dfsg.1-9_i386.deb
 5a18f50224c19f8035112f553c281d2d 174086 x11 optional proxymngr_4.3.0.dfsg.1-9_i386.deb
 de50f1cac45650a1fc9b829e90f41da3 256346 x11 optional twm_4.3.0.dfsg.1-9_i386.deb
 7f5a65296bfbee16dad90e3a10f96a44 1932268 x11 optional xbase-clients_4.3.0.dfsg.1-9_i386.deb
 3cf84476326c7700916aadc84cbaa293 293188 x11 optional xdm_4.3.0.dfsg.1-9_i386.deb
 5521947f6ee8fb59fc6cf007fb374c1f 486294 x11 optional xfs_4.3.0.dfsg.1-9_i386.deb
 d6e9c67102557c7a08883c3685c6da60 171998 x11 optional xfwp_4.3.0.dfsg.1-9_i386.deb
 f1bba999dc89d32aca6b9f6a21ebad67 4994410 x11 optional xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
 b7b4e5170decec79018b442699ab773f 49480036 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
 e8898b596ff53ffc184743bff3ac6a95 274756 libs optional xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
 95d00af46c0d806ce3a18a96ad2bc859 1222370 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
 4d106d819563f998ba7aecb4758c482d 696618 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
 8db2b6a5bc1d7792ed48ccdd94b22231 357206 libs optional xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
 97b9b224a6816c1799296fa3b54ed75e 1102830 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
 17402e1b7962d51ebeeaa15bf07bb29e 426410 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
 27ffbf054c95c92ee9c2a4198a7187f7 652886 libs optional xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
 6a14a9ebe0c3dd7f081daa53c31c17ee 4571820 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
 2784f88c146c0bddc641ecc0c6af39dc 781368 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
 6e0389707fdd3aefcc600dcf735ef0c6 845596 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
 4de427ad34a587b74cfb539b5bb91921 375816 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
 48c5f6ff24154f377a72cfadb02a5ba5 218384 mail extra xmh_4.3.0.dfsg.1-9_i386.deb
 a18ea3893b7a24683543b9a8d267a3ef 1456718 x11 optional xnest_4.3.0.dfsg.1-9_i386.deb
 288a30c1a5b50674035665e2a5fad41b 1117744 x11 optional xprt_4.3.0.dfsg.1-9_i386.deb
 5e7dd3f3537ab5ec17c494ab770f1a80 325824 x11 optional xserver-common_4.3.0.dfsg.1-9_i386.deb
 48040e6f94d2ec357a765d3e09a47653 5710034 x11 optional xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
 99fb916587c9cab3cda7c1b235e7cd87 54897076 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
 70fc7105a7fd5d2c660c564af65dd041 494926 x11 optional xterm_4.3.0.dfsg.1-9_i386.deb
 0890293f0226837e5e142bc8d0653f23 901726 x11 optional xutils_4.3.0.dfsg.1-9_i386.deb
 078d78d3289c9040d6bade021c1cc3ef 1593204 x11 optional xvfb_4.3.0.dfsg.1-9_i386.deb
 34b17b92a59b2167a0ac34c2b51de167 150232 x11 optional x-window-system-core_4.3.0.dfsg.1-9_i386.deb
 4e177316c9f02a1adcf46061b3ef2bc7 150282 x11 extra x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
 9fd4b72f7c1365b2e4b07a5762ac60f4 150030 oldlibs optional xlibmesa3_4.3.0.dfsg.1-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBuIchhCzbekR3nhgRAlgSAJ49WmORWulc7DSF0iASqcl43kAYggCfTU8X
M2DF7mPU9+CaxuBht0cBAKc=
=H9Dw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 277832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: control@bugs.debian.org
Cc: 277832@bugs.debian.org
Subject: still not fixed...
Date: Mon, 13 Dec 2004 13:45:50 +0100
reopen 277832
thanks

I have xterm 4.3.0.dfsg.1-9, and the problem (as described in the
first message) is still there.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Bug reopened, originator not changed. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #37 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: re: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Thu, 16 Dec 2004 17:55:47 -0500
[Message part 1 (text/plain, inline)]
Actually I did fix the hard part.  The remainder is user-preferences which
can be easily set with resources.

In #197, I also added a section to the manpage describing the use of the
clipboard - you should try that (sounds as if your click in the other window
is asserting the primary selection, e.g,. by moving the mouse a little as
you do the click).  Once the source has lost the primary selection, it can't
be fixed.  The clipboard selection is less volatile.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #42 received at 277832-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: dickey@his.com, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Fri, 17 Dec 2004 18:49:11 +0100
On 2004-12-16 17:55:47 -0500, Thomas Dickey wrote:
> Actually I did fix the hard part. The remainder is user-preferences
> which can be easily set with resources.

How? I didn't see anything new in the man page.

> In #197, I also added a section to the manpage describing the use of
> the clipboard - you should try that (sounds as if your click in the
> other window is asserting the primary selection, e.g,. by moving the
> mouse a little as you do the click). Once the source has lost the
> primary selection, it can't be fixed. The clipboard selection is
> less volatile.

But I don't want to use the clipboard for that, as it doesn't work
with the middle-click with other applications (and it doesn't seem
to always work).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #45 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Fri, 17 Dec 2004 13:27:40 -0500 (EST)
On Fri, 17 Dec 2004, Vincent Lefevre wrote:

> But I don't want to use the clipboard for that, as it doesn't work
> with the middle-click with other applications (and it doesn't seem
> to always work).

There aren't that many choices - the primary selection is only owned by 
one application at a time.  I reduced(*) xterm's tendency to give it up, 
but

	if another application asserts it, or

	you start a new selection, or

	something updates the xterm window where it's highlighted for
	the selection

then the primary selection is lost - there's no standard mechanism to get 
it back again.

(*) some minor improvements are possible, but I don't believe we're
    talking about those.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #50 received at 277832-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Thomas Dickey <dickey@his.com>, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Sat, 18 Dec 2004 01:07:45 +0100
On 2004-12-17 13:27:40 -0500, Thomas Dickey wrote:
> There aren't that many choices - the primary selection is only owned by 
> one application at a time.  I reduced(*) xterm's tendency to give it up, 
> but
> 
> 	if another application asserts it, or
> 
> 	you start a new selection, or

The first point is a particular case of the second point.

> 	something updates the xterm window where it's highlighted for
> 	the selection
> 
> then the primary selection is lost - there's no standard mechanism to get 
> it back again.

When I tried with the latest Debian version, neither of these
conditions were satisfied (a click shouldn't be regarded as
starting a selection). So, the bug is still there.

Also, if the screen is redrawn (e.g. in Mutt, when entering or
quitting the pager, or in screen, when switching windows), the
primary selection shouldn't be lost (for instance, xterm should
put it in a safe place).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #53 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Fri, 17 Dec 2004 19:22:15 -0500 (EST)
On Sat, 18 Dec 2004, Vincent Lefevre wrote:

> On 2004-12-17 13:27:40 -0500, Thomas Dickey wrote:

> When I tried with the latest Debian version, neither of these
> conditions were satisfied (a click shouldn't be regarded as
> starting a selection). So, the bug is still there.

It's been documented that way for (hmm) 15 years (man xterm):

       The default bindings in the VT102 window are:

                   ~Meta <Btn1Down>:select-start() \n\
                 ~Meta <Btn1Motion>:select-extend() \n\
                    Meta <Btn2Down>:clear-saved-lines() \n\
               ~Ctrl ~Meta <Btn2Up>:insert-selection(PRIMARY, CUT_BUFFER0) \n\

Likewise, it's always possible to change those settings in your resource 
file.  They're _default_ values.

> Also, if the screen is redrawn (e.g. in Mutt, when entering or
> quitting the pager, or in screen, when switching windows), the
> primary selection shouldn't be lost (for instance, xterm should
> put it in a safe place).

I cannot imagine where it might, since there's always the possiblity of
making a new primary selection.  Which (old or new) would be the correct
one?

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #58 received at 277832-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Thomas Dickey <dickey@his.com>, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Sat, 18 Dec 2004 02:31:39 +0100
On 2004-12-17 19:22:15 -0500, Thomas Dickey wrote:
> On Sat, 18 Dec 2004, Vincent Lefevre wrote:
> >When I tried with the latest Debian version, neither of these
> >conditions were satisfied (a click shouldn't be regarded as
> >starting a selection). So, the bug is still there.
> 
> It's been documented that way for (hmm) 15 years (man xterm):
> 
>        The default bindings in the VT102 window are:
> 
>                    ~Meta <Btn1Down>:select-start() \n\
>                  ~Meta <Btn1Motion>:select-extend() \n\
>                     Meta <Btn2Down>:clear-saved-lines() \n\
>                ~Ctrl ~Meta <Btn2Up>:insert-selection(PRIMARY, CUT_BUFFER0) 
>                \n\
> 
> Likewise, it's always possible to change those settings in your resource 
> file.  They're _default_ values.

How should I change them? Does select-extend() work without a
select-start() first?

> >Also, if the screen is redrawn (e.g. in Mutt, when entering or
> >quitting the pager, or in screen, when switching windows), the
> >primary selection shouldn't be lost (for instance, xterm should
> >put it in a safe place).
> 
> I cannot imagine where it might, since there's always the possiblity
> of making a new primary selection. Which (old or new) would be the
> correct one?

The primary selection should be kept as long as a new selection isn't
started (from xterm or another application).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #61 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Sun, 19 Dec 2004 06:50:34 -0500 (EST)
On Sat, 18 Dec 2004, Vincent Lefevre wrote:

> How should I change them? Does select-extend() work without a
> select-start() first?

no - how would it know where the selection started?

> The primary selection should be kept as long as a new selection isn't
> started (from xterm or another application).

That's too vague for me to see how to proceed.  I suggest you create a new 
(wishlist) bug report describing in detail the new functionality which you 
would like to see in xterm.  An accompanying patch (which doesn't modify 
the existing mechanism) would be appreciated.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #66 received at 277832-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Thomas Dickey <dickey@his.com>, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Mon, 20 Dec 2004 00:17:55 +0900
On 2004-12-19 06:50:34 -0500, Thomas Dickey wrote:
> On Sat, 18 Dec 2004, Vincent Lefevre wrote:
> >How should I change them? Does select-extend() work without a
> >select-start() first?
> 
> no - how would it know where the selection started?

So, I don't see how to configure xterm so that a left click
doesn't throw away the primary selection (while still allowing
to perform a selection).

> >The primary selection should be kept as long as a new selection isn't
> >started (from xterm or another application).
> 
> That's too vague for me to see how to proceed.  I suggest you create a new 
> (wishlist) bug report describing in detail the new functionality which you 
> would like to see in xterm.  An accompanying patch (which doesn't modify 
> the existing mechanism) would be appreciated.

Perhaps the way that gnome-terminal behaves, for instance.
I don't think that I am able to write a patch unfortunately,
but I could look at the source to know if I can do something.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #69 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: copy/paste of non-ISO-8859-1 characters between uxterm windows
Date: Sun, 19 Dec 2004 10:58:06 -0500 (EST)
On Mon, 20 Dec 2004, Vincent Lefevre wrote:

>> That's too vague for me to see how to proceed.  I suggest you create a new
>> (wishlist) bug report describing in detail the new functionality which you
>> would like to see in xterm.  An accompanying patch (which doesn't modify
>> the existing mechanism) would be appreciated.
>
> Perhaps the way that gnome-terminal behaves, for instance.

hmm - I hadn't noticed, but a check shows that gnome-terminal does appear
to distinguish between the highlighting and the selection: it clears the
highlighting when clicking in the window, but a paste from primary does
work.

That's doable - I'll have to think about what's involved in making it 
work.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #78 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 277832-submitter@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Fri, 31 Dec 2004 04:34:13 -0500
[Message part 1 (text/plain, inline)]
retitle 277832 xterm: make xterm treat the primary selection exactly as gnome-terminal does
severity 277832 wishlist
tag 277832 - fixed-upstream
thanks

On Mon, Dec 13, 2004 at 01:45:50PM +0100, Vincent Lefevre wrote:
> reopen 277832
> thanks
> 
> I have xterm 4.3.0.dfsg.1-9, and the problem (as described in the
> first message) is still there.

Well, let's call this bug what it is, then.

-- 
G. Branden Robinson                |    Nixon was so crooked that he needed
Debian GNU/Linux                   |    servants to help him screw his
branden@debian.org                 |    pants on every morning.
http://people.debian.org/~branden/ |    -- Hunter S. Thompson
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #83 received at 277832-quiet@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Branden Robinson <branden@debian.org>, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Fri, 31 Dec 2004 13:06:36 +0100
On 2004-12-31 04:34:13 -0500, Branden Robinson wrote:
> Well, let's call this bug what it is, then.

Note that gnome-terminal isn't the only application that keeps the
primary selection when it is no longer highlighted. Mozilla, Opera
and Emacs all have the same behavior.

And I don't think this is a wishlist since there's a big and
unacceptable inconsistency: xterm throws the primary selection,
but doesn't clear the cut buffer. This leads to confusion, and
possible data corruption (for this reason, I would see it as an
important bug at least).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #86 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 11 Jan 2005 05:15:09 -0500
[Message part 1 (text/plain, inline)]
On Fri, Dec 31, 2004 at 01:06:36PM +0100, Vincent Lefevre wrote:
> On 2004-12-31 04:34:13 -0500, Branden Robinson wrote:
> > Well, let's call this bug what it is, then.
> 
> Note that gnome-terminal isn't the only application that keeps the
> primary selection when it is no longer highlighted. Mozilla, Opera
> and Emacs all have the same behavior.
> 
> And I don't think this is a wishlist since there's a big and
> unacceptable inconsistency: xterm throws the primary selection,
> but doesn't clear the cut buffer. This leads to confusion, and
> possible data corruption (for this reason, I would see it as an
> important bug at least).

I still want to hear what Thomas Dickey as to say about this.  I'm also not
sure the semantics of selections vs. cut buffers are as you describe.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |      Please do not look directly into
branden@debian.org                 |      laser with remaining eye.
http://people.debian.org/~branden/ |
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #91 received at 277832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 277832@bugs.debian.org, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 11 Jan 2005 13:38:09 +0100
On 2005-01-11 05:15:09 -0500, Branden Robinson wrote:
> I still want to hear what Thomas Dickey as to say about this. I'm
> also not sure the semantics of selections vs. cut buffers are as you
> describe.

I don't think the end user should be exposed to differences between
implementations (e.g. primary selection vs cut buffer), at least with
a default configuration.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 277832@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 277832@bugs.debian.org, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 11 Jan 2005 07:48:29 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2005 at 11:30:20AM +0100, Branden Robinson wrote:
> On Fri, Dec 31, 2004 at 01:06:36PM +0100, Vincent Lefevre wrote:
> > On 2004-12-31 04:34:13 -0500, Branden Robinson wrote:
> > > Well, let's call this bug what it is, then.
> > 
> > Note that gnome-terminal isn't the only application that keeps the
> > primary selection when it is no longer highlighted. Mozilla, Opera
> > and Emacs all have the same behavior.
> > 
> > And I don't think this is a wishlist since there's a big and
> > unacceptable inconsistency: xterm throws the primary selection,
> > but doesn't clear the cut buffer. This leads to confusion, and
> > possible data corruption (for this reason, I would see it as an
> > important bug at least).
> 
> I still want to hear what Thomas Dickey as to say about this.  I'm also not
> sure the semantics of selections vs. cut buffers are as you describe.

The description above doesn't look right (perhaps I'm not reading it as it
was intended).  It appears to state that if xterm processes the primary
selection, it will ignore the cutbuffers.  I don't see that in the code
(cannot test right now).  If there's a bug in that, Vincent should write
a different bug report.

The default translations process both primary and cut-buffer 0.
I added an example in the manpage showing how to override that to
use the clipboard and cut-buffer 1 when using the shifted mouse clicks.

Because most users have been accustomed to the default translations,
it wouldn't make much sense to change those.  Perhaps that's what
Vincent is talking about.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #109 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 11 Jan 2005 09:46:27 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2005 at 02:00:08PM +0100, Vincent Lefevre wrote:
> On 2005-01-11 05:15:09 -0500, Branden Robinson wrote:
> > I still want to hear what Thomas Dickey as to say about this. I'm
> > also not sure the semantics of selections vs. cut buffers are as you
> > describe.
> 
> I don't think the end user should be exposed to differences between
> implementations (e.g. primary selection vs cut buffer), at least with
> a default configuration.

Then that's a separate issue.

I already have a to-do item to modify xterm to be able to supply the primary
selection independent of the highlighting.  Let's not combine all of the
diverse issues into one bug report.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #112 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 277832-submitter@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 8 Feb 2005 01:26:55 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 11, 2005 at 01:38:09PM +0100, Vincent Lefevre wrote:
> On 2005-01-11 05:15:09 -0500, Branden Robinson wrote:
> > I still want to hear what Thomas Dickey as to say about this. I'm
> > also not sure the semantics of selections vs. cut buffers are as you
> > describe.
> 
> I don't think the end user should be exposed to differences between
> implementations (e.g. primary selection vs cut buffer), at least with
> a default configuration.

I'm attaching the patch that Thomas Dickey has put into XTerm #200.

I expect to include this in the next package release, and plan to close
this bug accordingly.

As you will see from reviewing the patch, the new code has been
instrumented.  I will expect anyone who has a gripe with the new behavior
to be willing to run a trace-enabled version of xterm to help Thomas Dickey
understand the problem and/or the exact behavior that is desired.

-- 
G. Branden Robinson                |
Debian GNU/Linux                   |         De minimis non curat lex.
branden@debian.org                 |
http://people.debian.org/~branden/ |
[xterm_selection_scrolling_behavior.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #117 received at 277832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 277832@bugs.debian.org, 277832-quiet@bugs.debian.org
Subject: Re: Bug#277832: still not fixed...
Date: Tue, 8 Feb 2005 15:23:13 +0100
On 2005-02-08 01:26:55 -0500, Branden Robinson wrote:
> I'm attaching the patch that Thomas Dickey has put into XTerm #200.
> 
> I expect to include this in the next package release, and plan to
> close this bug accordingly.

I've just checked out xterm from the xfree86.org CVS and compiled it,
and I see no differences (I've tried with Mutt, which uses alternate
screens).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Information stored:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #129 received at 277832-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 277832-close@bugs.debian.org
Subject: Bug#277832: fixed in xfree86 4.3.0.dfsg.1-11
Date: Sat, 12 Feb 2005 06:03:51 -0500
Source: xfree86
Source-Version: 4.3.0.dfsg.1-11

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libdps1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-11_powerpc.deb
libice-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-11_powerpc.deb
libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libice6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-11_powerpc.deb
libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libsm6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-11_powerpc.deb
libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libx11-6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-11_powerpc.deb
libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-11_powerpc.deb
libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
libxaw7_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-11_powerpc.deb
libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxext6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-11_powerpc.deb
libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxft1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-11_powerpc.deb
libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxi6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-11_powerpc.deb
libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxmu6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-11_powerpc.deb
libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxp6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-11_powerpc.deb
libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxpm4_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-11_powerpc.deb
libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxt6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-11_powerpc.deb
libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxtst6_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-11_powerpc.deb
libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
libxv1_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-11_powerpc.deb
pm-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-11_all.deb
proxymngr_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-11_powerpc.deb
twm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-11_powerpc.deb
x-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-11_all.deb
x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
x-window-system_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-11_all.deb
xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
xdm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-11_powerpc.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
xfonts-base_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-11_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
xfonts-scalable_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-11_all.deb
xfree86-common_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-11_all.deb
xfree86_4.3.0.dfsg.1-11.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-11.diff.gz
xfree86_4.3.0.dfsg.1-11.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-11.dsc
xfs_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-11_powerpc.deb
xfwp_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
xlibs-data_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-11_all.deb
xlibs-dbg_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-11_all.deb
xlibs-dev_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-11_all.deb
xlibs-pic_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-11_all.deb
xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
xlibs_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-11_all.deb
xmh_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-11_powerpc.deb
xnest_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-11_powerpc.deb
xserver-common_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-11_powerpc.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
xspecs_4.3.0.dfsg.1-11_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-11_all.deb
xterm_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-11_powerpc.deb
xutils_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-11_powerpc.deb
xvfb_4.3.0.dfsg.1-11_powerpc.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-11_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 277832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 11 Feb 2005 02:14:27 -0500
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source powerpc all
Version: 4.3.0.dfsg.1-11
Distribution: unstable
Urgency: medium
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries dummy package
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries dummy package
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries dummy package
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Keyboard Extension (XKB) configuration data and metapackage
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries dummy package
 xlibs-dev  - X Window System client library development files dummy package
 xlibs-pic  - XFree86 static PIC libraries dummy package
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 141347 173565 213076 217505 229850 232357 233551 253480 266274 267503 277699 277832 279252 282760 283764 284025 285222 285396 286068 286164 286181 286268 286667 287612 289508 290935 291243 291722 291787 294320
Changes: 
 xfree86 (4.3.0.dfsg.1-11) unstable; urgency=medium
 .
   * Urgency set to medium due to fix for release-critical bug #286181
     (xvfb-run broken; see below).
 .
   Changes by Denis Barbier:
 .
   * The loading of srvr_ctrl(xfree86) symbol definitions for Sun keyboards
     was broken and made such keyboards unusable.  (Closes: #286268)
 .
   * Make keypad delete key <KPDL> generate KP_Separator, not comma, in
     Brazilian XKB layouts (thanks, Rafael Ávila de Espíndola).  Update patch
     #099z_xkb_level3_ralt_switch.  (Closes: #286667)
 .
   * The basic variant of 'us' layout was not displayed by kxkb because its
     'hidden' attribute was wrongly set.  Thanks, Frans Pop!  (Closes: #290935)
 .
   Changes by Branden Robinson:
 .
   * Overhaul Xnest(1x) manpage.  Among other cleanups:
     + Fix documented syntax of the "-geometry" option's argument.
       (Closes: #282760)
 .
   * Drop run_parts() function in Xsession scripts in favor of "run-parts
     --list".  Update Xsession(5) manual page accordingly.  Increment
     xfree86-common's versioned dependency on debianutils from (>= 1.13) to
     (>= 1.16.9).  (Closes: #283764)
 .
   * Expand and update uxterm(1x) manual page.
 .
   * Implement koi8rxterm, a uxterm-like wrapper for KOI8-R locales.  Ship
     script, manual page, and app-defaults file.  Update MANIFEST files.
     Update xterm's package description and add a Suggests: on xfonts-cyrillic.
     Register koi8rxterm as x-terminal-emulator alternative (priority of 20,
     same as xterm itself).  Deregister koi8rxterm as alternative when the
     package is removed.  (Closes: #173565)
 .
   * Implement lxterm, a simple wrapper that chooses whether to launch xterm,
     koi8rxterm, or uxterm based on the output of "locale charmap".  Ship
     script and manual page.  Update MANIFEST files.  Update xterm's package
     description.  Register lxterm as an x-terminal emulator alternative,
     giving it a priority of 30.  Lower uxterm's alternative priority to 20.
     Deregister lxterm as an alternative when the package is removed.
     (Closes: #279252)
 .
   * Apply patch from Bjorn Helgaas to fix SEGV in ati/radeon driver that
     occurs when RADEONQueryConnectedDisplays() calls vbeDoEDID() but the
     latter function returns NULL.  Thanks, Bjorn!  (Closes: #284025)
 .
   * Tighten the OSMesa library's dependencies on Mesa, because OSMesa depends
     on private _glapi* functions exported only by the Mesa version of the GL
     library.  Add exact versioned dependency of xlibosmesa4 on "xlibmesa-gl (=
     ${Source-Version)", and replace xlibosmesa-dev's dependency on "libgl-dev"
     with "xlibmesa-gl-dev (= ${Source-Version).  Thanks to Marcelo Magallon
     for pointing this out.  (Closes: #287612)
 .
   * Apply Jan Wilhelm Stumpel's fix for the en_US.UTF-8 Compose map in
     4.3.0.dfsg.1-9 to pt_BR.UTF-8 as well.
 .
   * Add FAQ entry: How can I set up my X server or X terminal to use XKB
     without any X libraries or XKB data installed?
 .
   * Remove broken hyperlink to freedesktop.org in the FAQ.  Thanks to Loïc
     Minier for pointing this out.  (Closes: #285222)
 .
   * Update information in the FAQ regarding problems GNU Emacs, XEmacs,
     Openbox, and Sawfish have with XKB's "fake keys".  Retitle entry from "My
     keyboard configuration worked with XFree86 4.2; why is it messed up now?"
     to "My keyboard configuration worked with previous versions of XFree86;
     why is it messed up now?  For example, my Windows keys don't work right in
     Emacs or my window manager anymore."
 .
   * Remove spurious quotes from variable expansions of $XVFBARGS and
     $LISTENTCP in xvfb-run.  Thanks to Jeff Lessem for the patch!
     (Closes:# 286181)
 .
   * Add patch by Timothy Baldwin to evdev support to fix broken backslash
     keys.  (Closes: #266274)
 .
   * Fix xserver-xfree86's configure script to not die if Discover 1.x's
     discover command segfaults.  Thanks to Kyle McMartin for reporting this
     problem and testing the fix.  (Closes: #291722)
 .
   * Add more cleanups and enchancements to xdm in patch #002:
     + Actually attempt to write data to the auth file in
       SaveServerAuthorizations(); that way we detect problems like ENOSPC
       (full filesystem, user over quota) early enough to do something about
       it.  (Closes: #217505, #253480)
     + Add comments documenting race-based symlink attack prevention
       techniques when creating files.
     + Add more detailed debugging and logging of errors when replacing
       authorization files in SetUserAuthorization() and
       RemoveUserAuthorization().
     + Add RemovePid() function (which removes the pidFile), and register it
       with atexit().  (Closes: #213076)
     + Add more debugging to execute().
     + Use the term "process ID" instead of "process-id".
 .
   * Add more clearnups and enhancements to xfs in patch #003b:
     + Add RemovePid() function which removes the process ID file, and register
       it with atexit() so that it is automatically invoked when xfs exits.
     + Refer to "user ID" and "process ID" in diagnostic messages, not "userid"
       and "process-id".
     + Add "FUTURE DIRECTIONS" section to manpage.
     + Perform massive cleanup and reformatting of manpage.
 .
   * Update the stillrunning() function in xdm's and xfs's init scripts to
     remove a known-stale /var/run/{xdm,xfs}.pid file if it is present.  Stop
     removing the daemon-not-stopped file, as code removing it is run
     elsewhere.  Stop forcing the script to exit if given the "stop" argument
     and the daemon is assumed to not be running due to no process ID file
     being found (this would cause "restart" to fail to start the daemon in
     this case).  Remove the "daemon-not-stopped" flag file if asked to stop
     the daemon and it either appears to not be running, or was successfully
     stopped.  Update and clarify comments in xdm's and xfs's init script.
 .
   * Fix typo in German debconf template translations.  Thanks, Georg Neis!
     (Closes: #289508)
 .
   * Permit lower pixel clocks (less than 17.75 MHz, but greater than 12 MHz)
     on older (Millenium, Mystique) Matrox cards.  Thanks to Jan Gorski for
     supplying information (updates fix for #261993).
 .
   * Fix the tdfx driver to stop failing to explain why some modes are
     rejected.  If TDFXValidMode() would return MODE_BAD, use xf86DrvMsg() to
     document the reason.
 .
   * Fix xlsfonts, xprop, xwd, and xwininfo to not bleat a usage message when
     XOpenDisplay() fails.  Being unable to connect to the X server is an
     operational error, not a user-input error.
 .
   * Add patch from Manoj Srivastava that implements support for SELinux in
     imake and xdm.  (Note that this patch only adds source-level support, and
     does not actually enable it.)  Thanks, Manoj!  (Closes: #233551)
 .
   * Update patch #007 to fix the problem with XFree86-authored manpages
     reporting "Version Version ..." in the footer.
 .
   * Update XTerm to patch #200 (2005-02-06) from Thomas Dickey's website.
     + Make active-icon work properly when TrueType fonts are used.
       (Closes: #286068)
     + Fix a regression from patch #197 which disowned the selection if it was
       scrolled, e.g., by the user pressing return at the bottom of the screen.
       (Closes: #277832, #291787)
     Resync patches #059, #803, and #907.
 .
   * Move the debhelper expando to immediately precede exit in maintainer
     scripts, except where (as in the case of xdm and xfs), we use flag files
     that indicate when the installation is over.  In those cases, place the
     expando immediately before removal of such files.
 .
   * Add copyright notice and GPL license boilerplate to init scripts.
 .
   * Enhance xserver-common's preinst script to support upgrades from package
     versions between 4.0.1-6 and 4.2.1-10 (thanks, Brian Sammon).
     (Closes: #267503)
 .
   * Update patch #087 (XPM library security fixes) to revert regressions in
     functionality caused by overly aggressive validation of filespec strings
     in OpenReadFile() and OpenWriteFile().  (Closes: #286164)
 .
   * Add __attribute__ ((packed)) to declaration of XChar2b structure in
     Xlib.h, for GCC/ARM systems only.  This is a kludge to work around a bad
     design decision in the GCC ARM ABI, and has been discussed with Jim
     Gettys, Keith Packard, and Phil Blundell.  Thanks to Nicolas George and
     Gaëtan LEURENT for bringing this issue to my attention.  (Closes: #285396)
 .
   * Fix the "Advanced" monitor selection method in xserver-xfree86's config
     script to use the monitor sync ranges autodetected by read-edid, if
     available.  Thanks to Jay Birkenbilt for the patch.  (Closes: #229850)
 .
   * Reimplement mkdirhier and rewrite its manual page.
     + No longer adds extraneous leading slashes to filespecs.
       (Closes: #141347)
     + No longer creates spurious levels of directory hierarchy.
       (Closes: #232357)
 .
   * Grab patch from X.Org CVS (via Jan Kreuzer) to increase DDC retry delay a
     little bit, which permits DDC probing to succeed on some hardware
     configurations where it would otherwise fail.  Thanks, Jan!
     (Closes: #291243)
 .
   * Update FAQ entry "What is the story with XFree86 3.x?" to mention the Xsun
     X server packages.
 .
   * Stop using the "local" keyword in /bin/sh scripts -- it turns out "local"
     is not POSIX, but posh -n won't tell you that as it doesn't do a syntax
     parse on function bodies, which is the only place that keyword makes
     sense.  Comment out this usage instead of removing it as a means of
     stoking my likely-futile hopes that the Debian Policy Manual will carve
     out another exception to POSIX compliance for /bin/sh scripts in this
     area.  A language with only global scope for variables scarcely bears
     thinking about.  Thanks to Clint Adams for pointing out this unfiled RC
     bug, and to Steve Langasek for hounding me incessantly about it.
 .
   * Replace post-processed comments with pre-processed ones in patch #096;
     this quiets build-time warnings.  Also document why this patch is not yet
     suitable for submission to upstream.
 .
   * In xserver-xfree86's config script, if the discover, mdetect, or get-did
     (from the read-edid package) commands are not available, set the
     corresponding autodetection question to false and mark it as seen.  That
     way, if one of the hardware detection packages is subsequently installed,
     the user is not confusingly shown a "do autodection?" debconf question,
     and then nothing done about the answer.
 .
   * Fix validate-posix-sh script to stop pretending that ash and dash are
     different shells -- in Debian, they're not.
 .
   * Apply patch from Steve Langasek to drop the xprt package, and stop
     building the Xprt X server, since this functionality did not work in any
     version of XFree86 up to 4.3.0, and has moved to the xprt-xprintorg
     package.  (The client-side Xp library is still built.)  Thanks, Steve!
     + Update patch #003 to #define XprtServer NO and BuildXprintLib YES on
       Debian systems.  Resync patches #004, #099c, #099s, and #600.
     + Update rules file to stop turning off the build of Xprt in the server
       debug target, since that's now redundant.
     + Update MANIFEST files to reflect the fact that Xprt is no longer built.
     + Remove xprt package's stanza from debian/control.
     + Remove debian/xprt.install debhelper file.
 .
   * Remove delcaration of non-DFSG-freeness of the Compugraphic and Adobe
     fonts (shipped as part of the Xprt server) from debian/copyright.  Update
     the prune-non-free script to stop removing these files from the upstream
     archive.  Roland Mainz has argued fairly persuasively on the debian-x
     mailing list that the fonts were in fact freely licensed.  In the event
     Mr. Mainz is wrong, the point is pretty close to void, since 1) Xprt is
     not being built or shipped anymore; 2) this change does not restore the
     files in question to the .orig.tar.gz; 3) the X Strike Force doesn't
     anticipate shipping these files in the future X.Org packages, either.
 .
   * Update patch #071 to be sure to pass the mprotect() in
     ElfCollectSections() a page-aligned request (as the other use of
     mprotect(), in ELFCreateGot(), already does).  This reportedly prevents
     SEGVs in the X server's ELF object loader on AMD64 systems.  Thanks to
     Piotr Kaczuba for this information.  (Closes: #277699 (again))
 .
   * Add patch #099v by Guillem Jover to fix a SEGV in font server code
     shared between xfs and the X server.  Thanks, Guillem!  (Closes: #294320)
 .
   * Migrate the bug scripts to the more sophisticated world order now in use.
     + Move current scripts from /usr/share/bug/$PACKAGE to
       /usr/share/bug/$PACKAGE/script.
 .
   * Write and ship a "presubj" bug message for the xserver-xfree86 package
     (also used by xserver-xfree86-dbg).
 .
   * Add two entries to the FAQ:
     + How can I help debug the XFree86 X server?
     + How can I help debug 3D acceleration problems?
Files: 
 0630663f3eb37f268a892c7ed8330a21 2638 x11 optional xfree86_4.3.0.dfsg.1-11.dsc
 db638d173c1be69c68b67e22b9aadca6 3600928 x11 optional xfree86_4.3.0.dfsg.1-11.diff.gz
 3dca9967442e0dd3ad67da90b939afa4 155668 libdevel optional pm-dev_4.3.0.dfsg.1-11_all.deb
 10a91aec9ab95cb195e58f4a809d4a3e 212674 libdevel optional x-dev_4.3.0.dfsg.1-11_all.deb
 22eab1a6b375810ad5f6b05318628737 4543288 x11 optional xfonts-100dpi_4.3.0.dfsg.1-11_all.deb
 86593a58ed8bc2f326431727332388a2 8436630 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-11_all.deb
 246f31e1d8034d07e91169ea82de8560 4032216 x11 optional xfonts-75dpi_4.3.0.dfsg.1-11_all.deb
 91d5ce68a04452c48b0157a8c22ebad1 7329510 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-11_all.deb
 47b91dec1eb843692e5e97ee70b92cd9 5543292 x11 optional xfonts-base_4.3.0.dfsg.1-11_all.deb
 d6df81364925d53497a3979ba3136eba 1205902 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-11_all.deb
 e2cc730266bfb3ce8e7dce41ac8526d0 548264 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-11_all.deb
 6d0e887e1f2735348ce9331ed940f7d1 896974 x11 optional xfonts-scalable_4.3.0.dfsg.1-11_all.deb
 bc3da5eb5dfdf0a1894a6fa171007c85 808614 x11 optional xfree86-common_4.3.0.dfsg.1-11_all.deb
 dce731d7f0af54fb10d89b29f34ece64 422940 libs optional xlibs_4.3.0.dfsg.1-11_all.deb
 bfb24014861c239313bace0526657e72 902860 libs optional xlibs-data_4.3.0.dfsg.1-11_all.deb
 b358946903fcabc1882c2745e6869d2c 5831390 x11 optional xspecs_4.3.0.dfsg.1-11_all.deb
 45ec1cf2c1c38fb1835cd593db2c0db9 154964 x11 optional x-window-system_4.3.0.dfsg.1-11_all.deb
 efe3d161cc3a66abe28b1dd4c6b81aee 154826 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-11_all.deb
 d536c7d6972a204c756718d836b62cb4 154812 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-11_all.deb
 8acd66434f9d8cc04092bcedb081bb2a 154878 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-11_all.deb
 9f60bc4ed2f120ae6ce1b12a359ea946 154880 oldlibs extra xlibs-dev_4.3.0.dfsg.1-11_all.deb
 a9322709c4b524d360680fd55a15390e 154784 oldlibs extra xlibs-pic_4.3.0.dfsg.1-11_all.deb
 a004f02e24ee2b95ede3f62b8517fa63 255390 x11 optional lbxproxy_4.3.0.dfsg.1-11_powerpc.deb
 9744027551fddf7d3427e476c10590e1 292992 libs optional libdps1_4.3.0.dfsg.1-11_powerpc.deb
 7d7a34787da88fc811b1f3b9896f97f6 1130858 libdevel extra libdps1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 eb7dd20d57d308c704d77863f68455e8 359610 libdevel optional libdps-dev_4.3.0.dfsg.1-11_powerpc.deb
 ebc06b6ffd7162f257dd82a76917b6c8 200538 libs optional libice6_4.3.0.dfsg.1-11_powerpc.deb
 de1166bc16aa6412121247cce35016f0 401000 libdevel extra libice6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 7111bbd1b2fd6e305d603a6bc9dccdc9 206114 libdevel optional libice-dev_4.3.0.dfsg.1-11_powerpc.deb
 23f70a60ed8e6bf85374bf14c40948bb 178772 libs optional libsm6_4.3.0.dfsg.1-11_powerpc.deb
 c37e217bdf8aa65e896afffe5a5d9dc7 246480 libdevel extra libsm6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 6cc071aed5eff50826acbc853caddb59 174406 libdevel optional libsm-dev_4.3.0.dfsg.1-11_powerpc.deb
 d13e2d6a76c4603854754153d8f6dcb3 734092 libs optional libx11-6_4.3.0.dfsg.1-11_powerpc.deb
 344400b55fe5a7fd97515bd19b7ffcc5 15240754 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 b57d11f0e3f34a7856188b1e895d221e 1396218 libdevel optional libx11-dev_4.3.0.dfsg.1-11_powerpc.deb
 813589f7f1fcd607b629ec296f9bbcca 284302 libs optional libxaw6_4.3.0.dfsg.1-11_powerpc.deb
 448da5df4b0d4c6c7ef1b701d2498d87 1331774 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 d9c91b2feea4573dd465c13e75b88dd7 437340 libdevel extra libxaw6-dev_4.3.0.dfsg.1-11_powerpc.deb
 5931836d450ae5d43121bac13f3fe7d6 339374 libs optional libxaw7_4.3.0.dfsg.1-11_powerpc.deb
 4b323d1d0d7e0431692dc78e8280ebfc 1509932 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-11_powerpc.deb
 21b28e041e705887875f21481599e6a8 437244 libdevel optional libxaw7-dev_4.3.0.dfsg.1-11_powerpc.deb
 70bcd61e98bd239135ffe622befd165d 186524 libs optional libxext6_4.3.0.dfsg.1-11_powerpc.deb
 43cd0e0cb0b21e4eeef05bf32d86fe1b 720348 libdevel extra libxext6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 fa06e44effbcf5bb249e307448fda095 245846 libdevel optional libxext-dev_4.3.0.dfsg.1-11_powerpc.deb
 85c3e745a29e0c84678cdde33f740aa4 188084 libs optional libxft1_4.3.0.dfsg.1-11_powerpc.deb
 2fc28f5c6469bf9d9f8d83a653443756 688550 libdevel extra libxft1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 69528fd282c8df5020895808b72e6311 177850 libs optional libxi6_4.3.0.dfsg.1-11_powerpc.deb
 bb01828033d137651133c1f349b2c23a 1853148 libdevel extra libxi6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 2629968bdfcbaa45e24c5788ffe67d6c 228868 libdevel optional libxi-dev_4.3.0.dfsg.1-11_powerpc.deb
 990d195d535305a54d732a162e585d34 207908 libs optional libxmu6_4.3.0.dfsg.1-11_powerpc.deb
 c30d2d6a611b55a1548d880bb2e7b582 1003514 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 39390a651876b1441985e86357fcb157 221448 libdevel optional libxmu-dev_4.3.0.dfsg.1-11_powerpc.deb
 8f643d46248105b476e06c350b45dd03 169720 libs optional libxmuu1_4.3.0.dfsg.1-11_powerpc.deb
 102709074e9c406cc2c0ec4d8722c5fd 231418 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 cc1bd55798809915078ea460b07ee348 159964 libdevel optional libxmuu-dev_4.3.0.dfsg.1-11_powerpc.deb
 c864ea1ac42e49d8d8134103711c3299 176972 libs optional libxp6_4.3.0.dfsg.1-11_powerpc.deb
 03bbfb1e3b17c0491624efadc994d29c 827982 libdevel extra libxp6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 025973e05aef682803c36b252629f6ff 177032 libdevel optional libxp-dev_4.3.0.dfsg.1-11_powerpc.deb
 1955664134f3e4441e18b0e3a5f9ff5b 194496 libs optional libxpm4_4.3.0.dfsg.1-11_powerpc.deb
 5c1cc3474a1784e67612d9f482c6b55a 463538 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-11_powerpc.deb
 c3611e53b4992a187231020ba11e7579 194590 libdevel optional libxpm-dev_4.3.0.dfsg.1-11_powerpc.deb
 d0a95b68f3aaf8a7075441ee6f4b7b5d 169432 libs optional libxrandr2_4.3.0.dfsg.1-11_powerpc.deb
 c74a5597b6675e6f6b86930bd3662afd 217594 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-11_powerpc.deb
 551c211c85d592e3ba61e9c0a4a94bd1 167880 libdevel optional libxrandr-dev_4.3.0.dfsg.1-11_powerpc.deb
 2893972d1edfcfb488c72ea197d166a6 332162 libs optional libxt6_4.3.0.dfsg.1-11_powerpc.deb
 ca361dc92505d8339c21e21c862313bd 2245226 libdevel extra libxt6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 ddd07f7c97185d64df9095de98f29619 641244 libdevel optional libxt-dev_4.3.0.dfsg.1-11_powerpc.deb
 da00b2ad4b5bb035c77dabd5d9dbf05b 178296 libs optional libxtrap6_4.3.0.dfsg.1-11_powerpc.deb
 921cb1aece8cc1bb3033d92187ed15ef 549862 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 e2bf1c13a96f9fce92b99ef609f2fd93 182948 libdevel optional libxtrap-dev_4.3.0.dfsg.1-11_powerpc.deb
 91662d31b048acc2e8f1da3129ec8c0f 172930 libs optional libxtst6_4.3.0.dfsg.1-11_powerpc.deb
 6c089c55883910087731cc5e6e61d82b 275684 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-11_powerpc.deb
 4d8d05c533c202eea083dc900992fd31 168166 libdevel optional libxtst-dev_4.3.0.dfsg.1-11_powerpc.deb
 7d5c65dc9a007e68b08610a5169c0aed 170518 libs optional libxv1_4.3.0.dfsg.1-11_powerpc.deb
 eb191dba35ff5d725ba5783fb45061a6 221322 libdevel extra libxv1-dbg_4.3.0.dfsg.1-11_powerpc.deb
 c20780b55af8f13d7c141f465fee8ce0 187486 libdevel optional libxv-dev_4.3.0.dfsg.1-11_powerpc.deb
 c389f8212f5b7c7f01a8782aa185189d 180350 x11 optional proxymngr_4.3.0.dfsg.1-11_powerpc.deb
 71e9565946e7b33a71941dec537f437a 268786 x11 optional twm_4.3.0.dfsg.1-11_powerpc.deb
 bc3418cbba51d5f9e65bd55ad57d94f5 2108436 x11 optional xbase-clients_4.3.0.dfsg.1-11_powerpc.deb
 37de9196aab1e3fa9752cbac661cfbc0 304238 x11 optional xdm_4.3.0.dfsg.1-11_powerpc.deb
 cd8b069e7b6ed2eab9f3b2f19df65753 504380 x11 optional xfs_4.3.0.dfsg.1-11_powerpc.deb
 c92f735a26f14898b6697912a97a42e2 179114 x11 optional xfwp_4.3.0.dfsg.1-11_powerpc.deb
 4b29a73842ac3f8991438f4b4b3f429a 3080170 x11 optional xlibmesa-dri_4.3.0.dfsg.1-11_powerpc.deb
 577a38a01e5475d223b09adf8498d738 42030982 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-11_powerpc.deb
 d78f30a30071c4c7abd52b0152a70702 291912 libs optional xlibmesa-gl_4.3.0.dfsg.1-11_powerpc.deb
 9b0a621a0d29864fabcab38b4c35ff27 1901394 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-11_powerpc.deb
 bd3b91484f491079b59d2fe1cb2b6b88 730260 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-11_powerpc.deb
 0470671eb9493fd7dfe3878b03199cf8 368470 libs optional xlibmesa-glu_4.3.0.dfsg.1-11_powerpc.deb
 510a2c0026cc0d62c3fa034699155e8f 1609062 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-11_powerpc.deb
 cf8722824f19c78bcabb0739bf2b6969 464860 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-11_powerpc.deb
 c8e340da6d63700176e86cb3c6ca4f9e 686258 libs optional xlibosmesa4_4.3.0.dfsg.1-11_powerpc.deb
 71b86ca6e4ca825bca7813d6adc84d07 6679680 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-11_powerpc.deb
 f89554ba990c1508c87c4f55df6dfb97 804290 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-11_powerpc.deb
 42c9494ac8f4fbe2c91832feef275e84 881272 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-11_powerpc.deb
 feac1c7e3f251b558f0cac5d34027994 386384 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-11_powerpc.deb
 848366eca14e7e54b56bef47a7722f8f 229278 mail extra xmh_4.3.0.dfsg.1-11_powerpc.deb
 b2d8db8cb8d174e7b476d90e43e88176 1579180 x11 optional xnest_4.3.0.dfsg.1-11_powerpc.deb
 d718d6c4ca00cba360ffa81adb9033fc 330914 x11 optional xserver-common_4.3.0.dfsg.1-11_powerpc.deb
 d2df4ce190f80dfa8fcac6f2b0145033 5770470 x11 optional xserver-xfree86_4.3.0.dfsg.1-11_powerpc.deb
 1605c202db5179887891589cd96890a7 46771800 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-11_powerpc.deb
 0469ce0f29b4b23524f37814da604046 511828 x11 optional xterm_4.3.0.dfsg.1-11_powerpc.deb
 f24a0829b730d0b6ef97d3c39556a376 936672 x11 optional xutils_4.3.0.dfsg.1-11_powerpc.deb
 6f39c410b96590b0494c803af00fe03e 1725046 x11 optional xvfb_4.3.0.dfsg.1-11_powerpc.deb
 de8ddc09029dc5ce6ad4a0c93e074e5a 155042 x11 optional x-window-system-core_4.3.0.dfsg.1-11_powerpc.deb
 a4b4cbcd3e7ec37f2fa5d1baacd1f2b9 155096 x11 extra x-window-system-dev_4.3.0.dfsg.1-11_powerpc.deb
 2cfd75ecf590dbb0c062778a8baa1332 154842 oldlibs optional xlibmesa3_4.3.0.dfsg.1-11_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iEYEARECAAYFAkINzDsACgkQ6kxmHytGonwtTgCfRILetY81Ow7MteRzZ/LGpykn
6TYAnAiX1wtyqc9XInTjRT0NVIpZPSRZ
=Z6wE
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #134 received at 277832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: 277832@bugs.debian.org
Subject: Re: Bug#277832 acknowledged by developer (Bug#277832: fixed in xfree86 4.3.0.dfsg.1-11)
Date: Sat, 12 Feb 2005 23:27:10 +0100
On 2005-02-12 03:18:26 -0800, Debian Bug Tracking System wrote:
>      + Fix a regression from patch #197 which disowned the selection
>      if it was scrolled, e.g., by the user pressing return at the
>      bottom of the screen. (Closes: #277832, #291787)

Bug 277832 was not about a regression and should be reopened as it
is still present in xterm 4.3.0.dfsg.1-11.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#277832; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #139 received at 277832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: control@bugs.debian.org
Cc: 277832@bugs.debian.org
Subject: make xterm treat the primary selection exactly as gnome-terminal does
Date: Wed, 16 Feb 2005 10:54:02 +0100
reopen 277832
thanks

Patch #200 fixes indeed a scrolling problem. But the selection is
still thrown away when using screen for instance (gnome-terminal
doesn't have this problem).

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Bug reopened, originator not changed. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#277832. Full text and rfc822 format available.

Message #144 received at 277832-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 277832-submitter@bugs.debian.org
Subject: re: #277832 xterm: make xterm treat the primary selection exactly as gnome-terminal does
Date: Tue, 01 Jan 2008 11:17:04 -0500
[Message part 1 (text/plain, inline)]
The "keepSelection" feature in patch #230 addresses this.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Tue, 01 Jan 2008 18:03:12 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #151 received at 277832-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: dickey@his.com, 277832-done@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: make xterm treat the primary selection exactly as gnome-terminal does
Date: Sun, 6 Jan 2008 13:47:11 +0100
Version: 230-1

On Tue, Jan  1, 2008 at 11:17:04 -0500, Thomas Dickey wrote:

> The "keepSelection" feature in patch #230 addresses this.
> 
Thanks, marking as fixed in that version.

Cheers,
Julien




Message #152 received at 277832-done@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 277832-done@bugs.debian.org
Subject: Re: Bug#277832: #277832 xterm: make xterm treat the primary selection exactly as gnome-terminal does
Date: Sun, 6 Jan 2008 08:38:31 -0500 (EST)
On Sun, 6 Jan 2008, Julien Cristau wrote:

> Version: 230-1
>
> On Tue, Jan  1, 2008 at 11:17:04 -0500, Thomas Dickey wrote:
>
>> The "keepSelection" feature in patch #230 addresses this.
>>
> Thanks, marking as fixed in that version.

no problem (report bugs)

>
> Cheers,
> Julien
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Feb 2008 07:28:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:41:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.